'use strict'

import { useBlockProps, InnerBlocks } from "@wordpress/block-editor";
import RenderOpenAIResponse  from "./render"

function Save({ attributes }) {
  const { title, blockTitle, aiAnswer } = attributes;

  return (
    // eslint-disable-next-line react/jsx-props-no-spreading
    <div {...useBlockProps.save()}>
      <div>
        <div>
          <h3>{blockTitle}</h3>
          <RenderAIResponse question={title} block_title={blockTitle} answer={aiAnswer} />
          <InnerBlocks.Content />
        </div>
      </div>
    </div>
  );
};

export default Save;